<?php
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');

switch ($tela):
    case 'baixar':
		echo("Módulo:Migrar requerentes. Deve existir na pasta c:/oficial4 um arquivo denominado requerente.txt. <br>");
		//ABRE O ARQUIVO TXT
		$ponteiro = fopen ("REMETENTES.TXT", "r");
		//LÊ O ARQUIVO ATÉ CHEGAR AO FIM 
		$conta=0;
		while (!feof ($ponteiro)){
           $conta++;
		   $linha = fgets($ponteiro,4096);
		   list($nome,$cpf,$inscricao,$renasem,$email,$bobo2,$endereco,$cidade,$uf,$telefone,$bobo3,$bobo4) = explode("#", $linha);
           //IMPRIME NA TELA O RESULTADO
           echo("conta=$conta linha=  $linha <br>");
            $user = new remetentes(array(
                'prd_nome'=>utf8_decode($nome),
                'prd_apelido'=>substr($nome,0,10),
                'prd_endereco'=>trim($endereco),
                'prd_email1'=>trim($email),
                'prd_cep'=>"00000-000",
                'prd_telefone'=>trim($telefone),
                'prd_cpf'=>trim($cpf),
                'prd_inscricao_estadual'=>trim($inscricao),
                'prd_municipio'=>trim($cidade),
                'prd_uf'=>trim($uf),
				'prd_renasem'=>trim($renasem),
				'prd_observacao'=>'Migrado',
                'prd_id_lab'=>$idLabo,
                'id_lab'=>$idLabo,
                'prd_datacad'=>date("Y-m-d"),
            ));
                $user->inserir($user);
				//if($conta==10)break;
				
         }//FECHA WHILE
         //FECHA O PONTEIRO DO ARQUIVO
         fclose ($ponteiro);
         echo"CONCLUIDO!" . $conta." requerentes transferidos.";
    break;

	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>